<?php
/*
 * Author: Etienne Gauthier (etienne_sf@sourceforge.net)
 * 
 * Receive a picture uploaded by the jupload.php script (through the JUpload applet)
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.lesgauthier.fr/wiki
 * 
 * Directly here:
 * http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_coppermine_download_gb
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */


if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

define('JUPLOAD_PHP', true);
require('plugins/jupload/include/jupload.inc.php');


////////////////////////////////////////////////////////////////////////////////////////////////// 
///////////////////////////   Creation of the JUpload button ///////////////////////////////////// 
/////////////////////  Largely inspired from the photo_summary plugin //////////////////////////// 
////////////////////////////////////////////////////////////////////////////////////////////////// 

$thisplugin->add_action('page_start','jupload_page_start');

/*echo ('alwaysVisible: ' . $JUPLOAD_CONFIG['alwaysVisible']);
echo ('USER_CAN_UPLOAD_PICTURES: ' . USER_CAN_UPLOAD_PICTURES);
echo (' JUPLOAD_PHP_INCLUDED: ' . JUPLOAD_PHP_INCLUDED); 		
*/

// Add photo_summary button after home under sys menu (added by Sami)
function jupload_page_start()
{
	global $template_sys_menu, $USER, $lang_jupload_php, $JUPLOAD_CONFIG;
	
	//We now have to include again the jupload.inc.php. I don't know exactly what happens in the 
	//Coppermine code! 
	define('JUPLOAD_PHP', true);
	require('plugins/jupload/include/jupload.inc.php');

	if (   ($JUPLOAD_CONFIG['alwaysVisible']==0 && USER_CAN_UPLOAD_PICTURES)
	|| $JUPLOAD_CONFIG['alwaysVisible']==1
	|| ($JUPLOAD_CONFIG['alwaysVisible']==2 && GALLERY_ADMIN_MODE)
	) {
		$new_template=$template_sys_menu;
		$button=template_extract_block($new_template,'faq');
		$link = 'JUpload';
		  
		$params = array(
			'{FAQ_LNK}'   => $lang_jupload_php['link_title'],
			'{FAQ_TITLE}' => $lang_jupload_php['link_comment'],
			//'{FAQ_TGT}'   => 'plugins/jupload/jupload.php',
			'{FAQ_TGT}'   => 'index.php?file=jupload/jupload',
			'faq'         => $link,
		);
		$new_button = "<!-- BEGIN $link -->".template_eval($button,$params)."<!-- END $link -->\n";
		
		//A patch for the 'hardwired' theme, that need the themes/hardwired/images/buttonleftJUpload.gif image
		//This image, of course (hum .. jupload should be everywhere ;-) ), doesn't exist in this theme. So we
		//replace by the faq.gif picture.
		$new_button = str_replace('JUpload.gif', 'faq.gif', $new_button);
		
		template_extract_block(
			$template_sys_menu,
			'faq',
			"<!-- BEGIN faq -->" . $button . "<!-- END faq -->\n" .$new_button 
		);
	}
}
